<section id="content">
    <div class="premium-section clearfix">
        <div class="container">
            <div class="content-wrapper csplite-add-header">
                <div class="csplite-text">
                    <p>Unlock the best Customer Experience with additional features like Category Pricing, Role & Group specific pricing for simple as well as variable products and now set Quantity based pricing with easy import/export for pricing rules with the Premium version.</p>
                </div>
                <div class="upgrade-wrap">
                    <a href="https://goo.gl/ZuHmcr" target="_blank">
                        <img src="<?php echo plugins_url('/images/upgrade.png', dirname(__FILE__));?>">
                        <p>UPGRADE
                        <span>to the Premium Version of Customer Specific Pricing</span></p>
                    </a>
                </div>
            </div>

            <div class="scroll-down-wrapper">
                <h1>Premium Features</h1>
                <p>Scroll Down to View Premium Features</p>
                <img src="<?php echo plugins_url('/images/scroll-icon.png', dirname(__FILE__));?>" id="scroll-down"/>
            </div>
        </div>
    </div>

    <div class="add-enquiry clearfix">
        <div class="container">
            <div class="content-wrapper">
                <p class = "content-heading">We are hoping that you’ve had a good experience with Customer Specific Pricing Lite version. We know that you are very well aware about the <strong>importance of customer loyalty</strong>, customer experience, difficulty of maintaining loyal customers, creating value for new customers or adding value to the existing customers.</p>
                <p class = "content-heading">You have already had a taste of CSP Lite and may be using our features like user specific pricing, importing/ exporting rules through CSV files, setting up flat / percentage discounts for products and many other features. But that’s not it, there are a lots of other things that <strong>highly improve the grade of customer experience and customer loyalty</strong> for users at your site. Customer Specific Pricing <strong>Pro</strong> version has all of those!</p>
            </div>
            <div class="image-wrapper">
            </div>
        </div>
    </div>

    <div class="add-enquiry clearfix">
        <div class="container">
            <div class="content-wrapper">
                <h2>Easy and Powerful Way to Manage Prices</h2>
                <p class = "plaincsp-text">In the <strong>“Product Pricing”</strong> section , you can set prices user-wise, role-wise or group-wise. These prices can be set for a particular product or a set of products or even all products.</p>
            </div>
            <div class="image-wrapper">
                <img src="<?php echo plugins_url('/images/layer2219.png', dirname(__FILE__));?>">
            </div>
            <div class="content-wrapper set-price">
                <p class = "plaincsp-text">Now you can set prices for the selected groups in the following manner:</p>
            </div>
            <div class="image-wrapper">
                <img src="<?php echo plugins_url('/images/setprice1.png', dirname(__FILE__));?>">
            </div>
            <div class="content-wrapper see-price">
                <p class = "plaincsp-text">Lets see that does the member of the group named “Special Customers” get a 50% discount on original price which is €150.</p>
            </div>
            <div class="image-wrapper">
                <img src="<?php echo plugins_url('/images/groupfrontend.png', dirname(__FILE__));?>">
            </div>
            <div class="content-wrapper see-price">
                <p class = "plaincsp-text">In a similar manner you could set prices/ rules for a specific set of user roles as well. <strong>What’s more ???</strong> This prices can be applied for <strong>“Simple”</strong> as well as <strong>“Variable”</strong> Products too.</p>
            </div>
        </div>
    </div>

    <div class="variable-product-support clearfix">
        <div class="container">
            <div class="content-wrapper">
                <h2>Set Prices on Product Categories</h2>
                <p class = "plaincsp-text">In this section you can set prices for product categories- user-wise, role-wise and group-wise.</p>
            </div>
            <div class="image-wrapper">
                <img src="<?php echo plugins_url('/images/categorypricing.png', dirname(__FILE__));?>">
            </div>
        </div>
    </div>

    <div class="multi-product clearfix">
        <div class="container">
            <div class="content-wrapper">
                <h2>Dynamic Pricing: </h2>
                <p class = "plaincsp-text">Confused about what offer can you give to the customers who purchase in bulk or buy lots of products at once ? Dynamic Pricing also known as Bulk Pricing is the perfect solution for you.</p>
            </div>
            <div class="image-wrapper">
                <img src="<?php echo plugins_url('/images/dynamicbackend.png', dirname(__FILE__));?>">
            </div>
            <div class="content-wrapper set-price">
                <p class = "plaincsp-text">Lets see how the Bulk Pricing Table looks on the front end: </p>
            </div>
            <div class="image-wrapper">
                <img src="<?php echo plugins_url('/images/dynamicfrontend.png', dirname(__FILE__));?>">
            </div>
        </div>
    </div>

    <div class="create-quote clearfix">
        <div class="container">
            <div class="content-wrapper">
                <h2>Search by:</h2>
                <p class = "plaincsp-text">“Search by” section is specially made to simplify site admin’s experience by easing the process of selecting/ searching one particular rule from an array of plenty of rules that are created by the admin for their customers.</p>
            </div>
            <div class="image-wrapper">
                <img src="<?php echo plugins_url('/images/searchby.png', dirname(__FILE__));?>">
            </div>
        </div>
    </div>

    <div class="coming-soon clearfix">
        <div class="container">
            <div class="content-wrapper set-price">
                <p class = "content-heading boost-text">
                    Ready to boost your sales <strong>10x</strong> times and never lose your valuable customers.
                </p>
            </div>
            <div class="upgrade-wrap">
                <a href="https://goo.gl/ZuHmcr" target="_blank">
                    <img src="<?php echo plugins_url('/images/upgrade.png', dirname(__FILE__));?>">
                    <p>UPGRADE
                        <span>to the Premium Version of Customer Specific Pricing</span>
                    </p>
                </a>
            </div>
        </div>
    </div>
</section>
