jQuery(function() {

    wdm_accordion();

    function wdm_accordion() {
        jQuery('.accordion').accordion({
            clearStyle: true,
            heightStyle: "content",
            collapsible: true,
            // disabled: true,
        });
    }

    //variable which holds the tbody element of table.
    var scntDiv = jQuery('#wdm_user_specific_pricing_tbody');
    var wdm_float_pattern = /^\d+(.\d*)?$/; //Float Number Regex Pattern
    //Add first row of Username And Price
    wdmTempSelectHolder = jQuery(wdmUserPricingObject.wdmUsersDropdownHtml);
    wdmTempSelectHolder.find('option[value="' + wdmUserPricingObject.wdmFirstUsername + '"]').attr('selected', true);

    //Start new row
    startRow = "<tr>";

    //Show User dropdown
    selectHolder = "<td class='wdm_left_td' ><select name='wdm_woo_username[]' class='chosen-select'>" + wdmTempSelectHolder.html() + "</select></td>";

    //show price type dropdown
    typeHolder = "<td class = 'wdm_left_td discount_options'><select name='wdm_price_type[]' class='chosen-select csp_wdm_action'>";

    for(var j = 1; j <= 2; j++) {
        if (wdmUserPricingObject.wdmFirstUserPriceType == j) {
            typeHolder += "<option value ='"+j+"' selected>"+wdmUserPricingObject.discountOptions[wdmUserPricingObject.wdmFirstUserPriceType]+"</option>";
        } else {
            typeHolder += "<option value ='"+j+"'>"+wdmUserPricingObject.discountOptions[j]+"</option>";
        }
    }
    typeHolder += "</select></td>";

    //Show Price's Textbox
    if ( wdmUserPricingObject.wdmFirstUserPriceType == 2 ) {
        priceTextbox = "<td colspan=3 class='wdm_left_td'><input type='text' name='wdm_woo_price[]' class='wdm_price csp-percent-discount' value='" + wdmUserPricingObject.wdmFirstPriceOfUser + "' /></td>";
    } else {
        priceTextbox = "<td class='wdm_left_td'><input type='text' name='wdm_woo_price[]' class='wdm_price' value='" + wdmUserPricingObject.wdmFirstPriceOfUser + "' /></td>"; 
    }

    //Show Remove row button
    removeRowButton = "<td><a class='wdm_remove_pair_link' href='#' id='remScnt'  ><img class='remove_user_price_pair_row_image' alt='Remove Row' title='Remove Row' src='" + wdmUserPricingObject.removeImagePath + "'/></a>";

    //If only one row is available
    addNewRow = "";
    if (!wdmUserPricingObject.moreThanOneRow) {
        addNewRow = "<a class='wdm_add_pair_link' href='#' id='wdm_add_new_user_price_pair'><img class='add_new_row_image' src='" + wdmUserPricingObject.addImagePath + "' /></a>";
    }

    endRow = "</td></tr>";

    scntDiv.prepend(startRow + selectHolder + typeHolder + priceTextbox + removeRowButton + addNewRow + endRow);

    wdmTempSelectHolder = null;
    wdmTempHtmlHolder = null;
    if (typeof chosen === "function") {
        jQuery(".chosen-select").chosen({'width': '200px'});
    }    // jQuery("select.chosen-select").select2();

    //Get total number of Username-Price Pair rows
    var i = jQuery('#wdm_user_specific_pricing_tbody tr').size() + 1;

    //Add New row on clicking 'Add New User-Price Pair button
    // jQuery('#wdm_add_new_user_price_pair').live('click', function() {
    jQuery('#user_specific_pricing_tab_data').delegate('#wdm_add_new_user_price_pair', 'click', function () {

    //Show thead if it is hidden
    if (i == 1) {
        jQuery(".username_price_thead").show();
    }
    //Start new row
    startRow ="<tr>";

    //Show User dropdown
    selectHolder = "<td class='wdm_left_td' >" + wdmUserPricingObject.wdmUsersDropdownHtml + "</td>";

    //show price type dropdown
    typeHolder = "<td class = 'wdm_left_td discount_options'><select name='wdm_price_type[]' class='chosen-select csp_wdm_action'>";
    
    for(var j = 1; j <= 2; j++) {
        if (j == 1) {
            typeHolder += "<option value ='"+j+"' selected>"+wdmUserPricingObject.discountOptions[j]+"</option>";
        } else {
            typeHolder += "<option value ='"+j+"'>"+wdmUserPricingObject.discountOptions[j]+"</option>";
        }
    }
    typeHolder += "</select></td>";

    //Show Price's Textbox
    priceTextbox = "<td colspan=3 class='wdm_left_td'><input type='text' name='wdm_woo_price[]' class='wdm_price' /></td>";

    //Show Remove row button
    removeRowButton ="<td><a class='wdm_remove_pair_link' href='#' id='remScnt'  ><img class='remove_user_price_pair_row_image' alt='Remove Row' title='Remove Row' src='" + wdmUserPricingObject.removeImagePath + "'/></a>";

    //Add new pair button
    addNewRow = "<a class='wdm_add_pair_link' href='#' id='wdm_add_new_user_price_pair'><img class='add_new_row_image' src='" + wdmUserPricingObject.addImagePath + "' /></a>";
    //Lets remove add_new_pair_btn associated with earlier row
    jQuery(".wdm_add_pair_link").remove();

    //end row
    endRow = "</td></tr>";
    jQuery(startRow + selectHolder + typeHolder + priceTextbox + removeRowButton + addNewRow + endRow).appendTo(scntDiv);
    var parent_table_element = jQuery("table.wdm_simple_product_usp_table");
    parent_table_element.show();
    jQuery(this).remove();
    if (typeof chosen === "function") {
        jQuery(".chosen-select").chosen({'width': '200px'});
    } 
    // jQuery("select.chosen-select").select2();
    i++;
    return false;
    }); //end live

    var wdmFloatPattern = /^-?\d*(\.\d+)?$/; //Float Number Regex Pattern

    // //On clicking Publish or Update button, check if all values are valid. If there is any invalid field, then show alert.
    // jQuery("form#post").submit(function(){
    //         var wdmErrorFlag = 1;
    //         jQuery(".wdm_price").filter(function(){
    //                 if (jQuery(this).hasClass('wdm_error')) {
    //                         return wdmErrorFlag = 0;
    //                 }
    //         });
    //         if (wdmErrorFlag == 0) {
    //                 alert(wdmUserPricingObject.priceMappingAlert);
    //                 return false;
    //         }
    // }); //end submit

    //On clicking Publish or Update button, check if all values are valid. If there is any invalid field, then show alert.
    jQuery("form#post").submit(function () {
        jQuery('#wdm_message').remove();
        var wdmErrorFlag = 1;
        jQuery(".wdm_price").filter(function () {
            if (jQuery(this).hasClass('wdm_error')) {
                return wdmErrorFlag = 0;
            }
        });
        if (wdmErrorFlag === 0) {
            jQuery('#poststuff').before("<div id='wdm_message' class='error my-notice'><p>"+wdmUserPricingObject.priceMappingAlert+"</p></div>").focus();
            jQuery("html, body").animate({
                scrollTop: 0
            }, "slow");
            return false;
        }
    }); //end submit

    //If Remove Row image is clicked, the corresponding row is removed.
    jQuery('#remScnt').live('click', function()
    {

            var userPricePairRemovalElementVar = jQuery(this);
            var parent_table_element = jQuery(this).parents("table.wdm_simple_product_usp_table");

            //hide thead when there are no pairs of username and price
            if (i <= 2) {
                jQuery(".username_price_thead").hide();
            }

            userPricePairRemovalElementVar.parents('tr').remove();
            var last_tr_element = parent_table_element.find("tr:last");
            //Append Add new pair button to second last row after last row is removed
            if (!jQuery("#wdm_user_specific_pricing_tbody tr:last td:last .wdm_add_pair_link").length) {
                jQuery("#wdm_user_specific_pricing_tbody tr:last td:last").append("<a class='wdm_add_pair_link' href='#' id='wdm_add_new_user_price_pair'><img class='add_new_row_image' src='" + wdmUserPricingObject.addImagePath + "' /></a>");
            }

            if (last_tr_element.find("th:last").length) {
                parent_table_element.hide();
                parent_table_element.before('<button type="button" class="button" id="wdm_add_new_user_price_pair">'+wdmUserPricingObject.addNewPair+'</button>');
            }
            else if (!jQuery("#wdm_user_specific_pricing_tbody tr:last td:last .wdm_add_pair_link").length) {
                jQuery("#wdm_user_specific_pricing_tbody tr:last td:last").append("<a class='wdm_add_pair_link' href='#' id='wdm_add_new_user_price_pair'><img class='add_new_row_image' src='" + wdmUserPricingObject.addImagePath + "' /></a>");
            }

            // if(!jQuery("#wdm_user_specific_pricing_tbody tr:last td:last .add_new_pair_btn").length){
            // jQuery("#wdm_user_specific_pricing_tbody tr:last td:last").append("<a class='add_new_pair_btn' id='wdm_add_new_user_price_pair'><img class='add_new_row_image' src='" + wdmUserPricingObject.addImagePath + "' /></a></td>");
            // }
            i--;

            return false;
    }); //end live

    //If Price is not valid, then highlight the Price box
    jQuery('#user_specific_pricing_tab_data').delegate('.wdm_price', 'focusout', function () {
        if (jQuery( this ).val() == "") {
            return;
        }
        if ( !wdm_float_pattern.test( jQuery( this ).val() ) ) {
            jQuery( this ).addClass( 'wdm_error' ).css({"background": "#E35152", "color": "#FFFFFF"});
        } else if ( jQuery( this ).hasClass('csp-percent-discount') && jQuery( this ).val() > 100 ) {
            jQuery( this ).addClass( 'wdm_error' ).css({"background": "#E35152", "color": "#FFFFFF"});
        } else if ( parseInt(jQuery( this ).val(), 10) < 0) {
            jQuery( this ).addClass( 'wdm_error' ).css({"background": "#E35152", "color": "#FFFFFF"});
        }
    } ); //end live

    //When User edits the invalid field, clear the background of that field
    jQuery('#user_specific_pricing_tab_data').delegate('.wdm_price', 'focusin', function () {
        jQuery( this ).css({"background": "#FFFFFF", "color": "#000000"}).removeClass( 'wdm_error' );
    } ); //end live

    jQuery( '#user_specific_pricing_tab_data' ).delegate( '.csp_wdm_action', 'change', function () {
        var pairPrice = jQuery(this).closest('tr').find('.wdm_price').val();
        if ( parseInt(jQuery(this).val(), 10) == 1) {
            jQuery(this).closest('tr').find('.wdm_price').removeClass('csp-percent-discount');
            if ( wdm_float_pattern.test(pairPrice) ) {
                jQuery( this ).closest('tr').find('.wdm_price').css({"background": "#FFFFFF", "color": "#000000"}).removeClass( 'wdm_error' );
            }
        } else if ( parseInt(jQuery(this).val(), 10) == 2 ) {
            jQuery(this).closest('tr').find('.wdm_price').addClass('csp-percent-discount');
            if (parseInt(jQuery( this ).closest('tr').find('.wdm_price').val(), 10) > 100 ) {
                jQuery( this ).closest('tr').find('.wdm_price').css({"background": "#E35152", "color": "#FFFFFF"}).addClass( 'wdm_error' );
            }
        }
    });

});