<div class="wdm-tab-container">
<div class="wdm-container">
<fieldset class="wdm-plugin-customize">
<h2 class="wdm-color"><?php _e("Plugin Development and Customization ", "customer-specific-pricing-lite");?></h2><hr>
<p><?php _e("Our area of expertise is WordPress plugins. We specialize in creating bespoke plugin solutions for your business needs. Our competence with plugin development and customization has been certified by WordPress biggies like WooThemes and Event Espresso. ", "customer-specific-pricing-lite");?><br><br>
<a class="wdm-contact-button" style="padding:8px 30px; margin-top:10px;" href="https://wisdmlabs.com/contact-us/" target="_blank"><?php _e("Contact Us ", "customer-specific-pricing-lite");?></a>
</p>
</fieldset>
<div class="wdm-container">
<h2 style="text-align: center;" class="wdm-color"><?php _e("Our Premium Plugins ", "customer-specific-pricing-lite");?></h2>
<ul class="wdm-premium-plugins">
    <li class="wdm-plugins-item first">
    <h3><?php _e("Product Enquiry Pro (a.k.a. QuoteUp) for WooCommerce ", "customer-specific-pricing-lite");?></h3>
    <p style="text-align: center;">
        <?php _e("This acclaimed plugin adds an enquiry and quotation system for better customer shopping experience on your WooCommerce Store", "customer-specific-pricing-lite");?> <br><br>
    </p>
    <a class="wdm-contact-button wdm-know-more" href="https://wisdmlabs.com/woocommerce-product-enquiry-pro/" target="_blank"><?php _e("Know more ", "customer-specific-pricing-lite");?> </a>
    </li>
    <li class="wdm-plugins-item">
    <h3><?php _e("WooCommerce Custom Product Boxes ", "customer-specific-pricing-lite");?></h3>
    <p style="text-align: center;">
        <?php _e("This plugin allows customers, to select and create their own product bundles, which can be purchased as a single product! ", "customer-specific-pricing-lite");?>
    </p>
    <a class="wdm-contact-button wdm-know-more" href="https://wisdmlabs.com/assorted-bundles-woocommerce-custom-product-boxes-plugin/" target="_blank"><?php _e("Know more ", "customer-specific-pricing-lite");?> </a>
    </li>
    <li class="wdm-plugins-item">
    <h3 style="min-height:54px;"><?php _e("Instagram WooCommerce Integration ", "customer-specific-pricing-lite");?>  </h3>
    <p style="text-align: center;">
        <?php _e("A perfect solution, to create collages using Instagram images, right from your WooCommerce store. ", "customer-specific-pricing-lite");?>
    </p>
    <a class="wdm-contact-button wdm-know-more" href="https://wisdmlabs.com/instagram-woocommerce-integration-solution/" target="_blank"><?php _e("Know more ", "customer-specific-pricing-lite");?> </a>
    </li>
    <li class="wdm-plugins-item last">
    <h3><?php _e("WooCommerce Moodle Integration", "customer-specific-pricing-lite");?></h3>
    <p style="text-align: center;">
        <?php _e("Want to sell Moodle Courses in your WooCommerce store? This plugin allows you to do the same and much more. ", "customer-specific-pricing-lite");?>
    </p>
    <a class="wdm-contact-button wdm-know-more" href="https://wisdmlabs.com/woocommerce-moodle-integration-solution/" target="_blank"><?php _e("Know more ", "customer-specific-pricing-lite");?> </a>
    </li>
</ul>
<ul class="wdm-premium-plugins three-grids">
    <li class="wdm-plugins-item first">
    <h3><?php _e("WooCommerce Scheduler", "customer-specific-pricing-lite");?></h3>
    <p style="text-align: center;">
        <?php _e("With the WooCommerce Scheduler Plugin, you can manage product availability as per your business needs.", "customer-specific-pricing-lite");?>
    </p>
    <a class="wdm-contact-button wdm-know-more" href="https://wisdmlabs.com/woocommerce-scheduler-plugin-for-product-availability/" target="_blank"><?php _e("Know more ", "customer-specific-pricing-lite");?> </a>
    </li>
    <li class="wdm-plugins-item">
    <h3><?php _e("WooCommerce Bookings: Availability Search Widget", "customer-specific-pricing-lite");?></h3>
    <p style="text-align: center;">
        <?php _e("An WooCommerce Bookings plugin extension, which allows customers to search for Available Bookings on requested dates.", "customer-specific-pricing-lite");?>
    </p>
    <a class="wdm-contact-button wdm-know-more" href="https://wisdmlabs.com/woocommerce-bookings-availability-search-widget/" target="_blank"><?php _e("Know more ", "customer-specific-pricing-lite");?> </a>
    </li>
    <li class="wdm-plugins-item last">
    <h3><?php _e("Empty Cart Timer for WooCommerce", "customer-specific-pricing-lite");?></h3>
    <p style="text-align: center;">
        <?php _e("Empty Cart Timer for WooCommerce deletes products from the cart after a certain predefined amount of expiration time. ", "customer-specific-pricing-lite");?>
    </p>
    <a class="wdm-contact-button wdm-know-more" href="https://wisdmlabs.com/empty-cart-timer-woocommerce-plugin/" target="_blank"><?php _e("Know more ", "customer-specific-pricing-lite");?> </a>
    </li>
</ul>
</div>
<div class="clear"></div>
<fieldset class="wdm-bouquet-of-services">
<h2 class="wdm-color"><?php _e("Entire Array of Services ", "customer-specific-pricing-lite");?></h2><hr>
<p><?php _e("We specialize in WordPress website development and customization with an entire range of services under our belt. We have expertise in domains such as eCommerce, LMS, Event Management System, etc. Explore our services now and cater to all your WordPress requirements under one roof. ", "customer-specific-pricing-lite");?><br><br>
<a class="wdm-contact-button" style="padding:8px 30px; margin-top:10px;" href="https://wisdmlabs.com/services/" target="_blank"><?php _e("View Our Services ", "customer-specific-pricing-lite");?></a>
</p>
</fieldset>
</div>
</div>
